package com.tmerclub.cloud.api.platform.constant;

/**
 * @author gaozijie
 * @date 2023-05-08
 */
public enum WithdrawFrequency {
    /**
     * 每天
     */
    EVERY_DAY(1, "每天"),
    /**
     * 每周
     */
    EVERY_WEEK(7, "每周"),
    /**
     * 每月
     */
    EVERY_MONTH(30, "每月"),
    /**
     * 不限制
     */
    NOT_LIMIT(-1, "不限制");

    private final Integer value;

    private final String desc;

    WithdrawFrequency(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
}
